package com.sensor.iot.api.annotation;

import com.github.lianjiatech.retrofit.spring.boot.interceptor.BasePathMatchInterceptor;
import com.github.lianjiatech.retrofit.spring.boot.interceptor.InterceptMark;
import com.sensor.iot.api.interceptor.AuthInterceptor;

import java.lang.annotation.*;

/**
 * Auth
 *
 * @author Frank
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@InterceptMark
public @interface Auth {

    String clientId();

    String clientSecret();

    String[] include() default {"/**"};

    String[] exclude() default {};

    Class<? extends BasePathMatchInterceptor> handler() default AuthInterceptor.class;
}
