package com.sensor.iot.api.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * ApiResp
 *
 * @author Frank
 */
@Data
public class ApiResp<T> implements Serializable {
    private static final long serialVersionUID = 7716091863680685200L;

    private Integer code;

    private String msg;

    private T data;


    public boolean success() {
        return Objects.equals(code, 200);
    }

    public T data() {
        if (success()) {
            return this.data;
        }
        throw new RuntimeException("IOT请求响应出错:" + this.msg);
    }
}
