package com.sensor.iot.api.model;

import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;

/**
 * BaseModel
 *
 * @author Frank
 */
public class BaseModel {

    /**
     * bean to map
     *
     * @return {@link Map}
     */
    public Map<String, Object> toMap() {
        Map<String, Object> map = new HashMap<>();
        Field[] fields = this.getClass().getDeclaredFields();
        for (Field field : fields) {
            try {
                field.setAccessible(true);
                Object obj = field.get(this);
                if (obj != null) {
                    map.put(field.getName(), obj.toString());
                }
            } catch (IllegalArgumentException | IllegalAccessException e) {
                throw new RuntimeException("转换map失败:" + e.getMessage(), e);
            }
        }
        return map;
    }
}
