package com.sensor.iot.api.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * ExecFuncReq
 *
 * @author Frank
 */
@Data
@Builder
public class ExecFuncReq implements Serializable {
    private static final long serialVersionUID = -4287947814263393522L;

    private String deviceId;

    private String productId;

    private Func func;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Func {
        private String id;

        private Map<String, Object> inputs = new HashMap<>();

        public static Func create(String id, Map<String, Object> inputs) {
            return new Func(id, inputs);
        }

    }
}
