package com.sensor.iot.api.service;

import com.github.lianjiatech.retrofit.spring.boot.core.RetrofitClient;
import com.sensor.iot.api.model.ApiResp;
import com.sensor.iot.api.model.ClientToken;
import retrofit2.http.GET;
import retrofit2.http.Query;

/**
 * ClientTokenService
 *
 * @author Frank
 */
@RetrofitClient(baseUrl = "${sensor.iot.api.baseUrl}")
public interface ClientTokenService {

    /**
     * 获取token
     *
     * @param clientId     clientId
     * @param clientSecret clientSecret
     * @param grantType    grantType
     * @return {@link ApiResp}
     */
    @GET("/auth/oauth2/client_token")
    ApiResp<ClientToken> getAuthToken(@Query("client_id") String clientId,
                                      @Query("client_secret") String clientSecret,
                                      @Query("grant_type") String grantType
    );
}
